#include <stdio.h>

int main()
{
 int n, i, j, k;
 scanf("%d", &n
		 );
 if (n<=0)
 {
  printf("-1");
  return -1;
 }

  for (i=1; i<=n; i++)
  {
   for (j=0; j<n; j++)
   
    printf(" ");
    for (k=2*n-1; k=1; k--)
    {
    if (i%2==0)
     printf("-");
    else
     printf("*");
    }
   
   printf("\n");
  }




return 0;
}
